X2Go Bug report logs - #414
xinitrd.d path wrong in Xsession

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Mon, 27 Jan 2014 18:20:02 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.1.13

Fixed in version 4.0.1.14

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#414; Package x2goserver. (Mon, 27 Jan 2014 18:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 Jan 2014 18:20:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: xinitrd.d path wrong in Xsession
Date: Mon, 27 Jan 2014 11:17:49 -0700
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.13
Tags: patch

The path to xinitrd.d is wrong in Xsession.  Also, add some
existence/readability checking.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[x2goserver-xinit.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#414; Package x2goserver. (Tue, 28 Jan 2014 18:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 28 Jan 2014 18:05:02 GMT) (full text, mbox, link).


Message #10 received at 414@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 414-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 414@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Tue, 28 Jan 2014 19:04:52 +0100 (CET)
tag #414 pending
fixed #414 4.0.1.14
thanks

Hello,

X2Go issue #414 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=b3717e6

The issue will most likely be fixed in src:x2goserver (4.0.1.14).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit b3717e6fcae16de8e695dee5ba78021b5ab6e39a
Author: Orion Poplawski <orion@cora.nwra.com>
Date:   Tue Jan 28 18:57:58 2014 +0100

    Fix wrong path to xinitrd.d in Xsession (section for RPM based distros). Also, add some existence/readability checking. (Fixes: #414).

diff --git a/debian/changelog b/debian/changelog
index a121f94..6b201f8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,9 +1,15 @@
 x2goserver (4.0.1.14-0x2go1) UNRELEASED; urgency=low
 
+  [ Mike Gabriel ]
   * New upstream release (4.0.1.14):
     - Log SSHFS output and errors to ~/.x2go/C-<session>/sshfs-mounts.log.
       (Fixes: #415).
 
+  [ Orion Poplawski ]
+  * New upstream release (4.0.1.14):
+    - Fix wrong path to xinitrd.d in Xsession (section for RPM based distros).
+      Also, add some existence/readability checking. (Fixes: #414).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 28 Jan 2014 13:41:38 +0100
 
 x2goserver (4.0.1.13-0x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 18:05:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.14. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 18:05:02 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#414. (Tue, 28 Jan 2014 18:10:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#414; Package x2goserver. (Wed, 02 Apr 2014 12:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 02 Apr 2014 12:35:02 GMT) (full text, mbox, link).


Message #22 received at 414@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 414-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 414@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Wed, 2 Apr 2014 14:33:31 +0200 (CEST)
close #414
thanks

Hello,

we are very hopeful that X2Go issue #414 reported by you
has been resolved in the new release (4.0.1.14) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.14)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=4659cbf3ae4069b94c443fe7c2872eae9051f45b;hp=66eb1b0f5e124a282ebad236068ee7f2deda0f49

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.14-0x2go1
Status: RELEASE
Date: Wed, 02 Apr 2014 14:32:39 +0200
Fixes: 409 414 415 424 428 441 445
Changes: 
 x2goserver (4.0.1.14-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.1.14):
     - Log SSHFS output and errors to ~/.x2go/C-<session>/sshfs-mounts.log.
       (Fixes: #415).
     - If x2golistmounts is used without cmd option <session_id>, then
       the env var $X2GO_SESSION (current session) will be attempted to use.
     - If x2goumount-session is used without cmd option <session_id>, then
       the env var $X2GO_SESSION (current session) will be attempted to use.
     - Fix x2gostartagent. Make sure the -nolisten tcp option is configurable
       via x2goagent.options. (Fixes: #424).
     - Safely remove desktop files for client-side shared folders. Remove
       the correct desktop file, even if the shared folder has already
       been (forcefully) umounted. Such situations occur in cases where
       the connection gets interrupted. SSHFS will then get removed by the
       Linux kernel and we have to "guess" what desktop icons is actually
       to be removed.
     - Fix broken file descriptor closures in x2gocleansessions. (Fixes:
       #441).
     - Provide proper Gentoo support in x2goserver-xsession portion of
       X2Go Server. (Fixes: #445).
     - x2gofm.desktop: Drop obsolete Encoding key from .desktop file.
     - Fix typos / hyphen-as-minus signs issues in x2goversion.8 and
       x2gomountdirs.8.
   * x2goserver.spec:
     - Let builds for EPEL-7 behave like recent Fedora builds.
     - Spcial handling of x2gofm.desktop. In EPEL-5 the Encoding key
       is still required for .desktop files.
   * debian/*.doc-base:
     + Provide *.doc-base files for bin:packages containing HTML man pages
       or other documentation.
   * debian/x2goserver.init:
     + Add status option for init script (test if x2gocleansessions is
       running or not).
     + Add Description key to LSB header.
   * debian/config:
     + Explicitly call set -e. Makes lintian happier.
   * debian/rules:
     + Detect Git-created ChangeLog file if present (created by X2Go
       upstream's build scripts during package build).
 .
   [ Harald Nordgard-Hansen ]
   * New upstream release (4.0.1.14):
     - Correctly quote the tests against $DISTRIB_RELEASE in x2goruncommand that
       were badly quoted (which caused them to report the wrong result and to
       create a file called "=" in the user home directory). Aligning all tests
       to use the same style of quoting fixes this. (Fixes: #409).
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.1.14):
     - Fix wrong path to xinitrd.d in Xsession (section for RPM based distros).
       Also, add some existence/readability checking. (Fixes: #414).
     - Fix the x2goserver.service unit file. Allow systemd to track the service
       after startup. (Fixes: #428).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 02 Apr 2014 12:35:06 GMT) (full text, mbox, link).


Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Wed, 02 Apr 2014 12:35:06 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#414. (Wed, 02 Apr 2014 12:40:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 01 May 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Nov 18 09:07:43 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.